Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039748
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSmajorhave not tried2018-09-06 12:052018-12-13 07:44
ReportermalsasuaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revisiona2b0576c10a8
ProjectionnoneETAnoneTarget VersionRR18Q4.1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039748: Initial Validation: reconciliation in Draft status

DescriptionWhen there is a reconciliation in draft status, of a financial account related with a payment method of terminal, when cashup up is processed, the record is stuck in Error While Importing with message:
Cash up can not proceed, there is a reconcilliation in draft status, payment method: ...
Steps To Reproduce[BO]
. Financial Account: Cashbook - Vall Blanca Store
 -> tab: Transaction
  . click in Reconcile button
  . click in Save button -> new reconciliation has been created in draft status

[POS]
. login -> Error message is not displayed
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0039237 closedranjith_qualiantech_com Initial Validation: reconciliation in Draft status 

-  Notes
(0108564)
hgbot (developer)
2018-12-13 07:44

Repository: retail/backports/3.0RR18Q4.1/org.openbravo.retail.posterminal
Changeset: a2b0576c10a80508a32d73720919c4a004b8e4fb
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Dec 13 12:13:55 2018 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR18Q4.1/org.openbravo.retail.posterminal/rev/a2b0576c10a80508a32d73720919c4a004b8e4fb [^]

Fixed issue 39748 : Added Initial Validtion to check Terminal financial account have draft reconcilliation

* Reconcilliation should not be in draft status for the financial account which is associated with Terminal Payment Type

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M src/org/openbravo/retail/posterminal/InitialValidations.java
---

- Issue History
Date Modified Username Field Change
2018-12-04 12:58 marvintm Type defect => backport
2018-12-04 12:58 marvintm Target Version => RR18Q4.1
2018-12-13 07:44 hgbot Checkin
2018-12-13 07:44 hgbot Note Added: 0108564
2018-12-13 07:44 hgbot Status scheduled => resolved
2018-12-13 07:44 hgbot Resolution open => fixed
2018-12-13 07:44 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a29a6f123b73fc79adc8beda41f88c5ae7cf8add [^] => http://code.openbravo.com/retail/backports/3.0RR18Q4.1/org.openbravo.retail.posterminal/rev/a2b0576c10a80508a32d73720919c4a004b8e4fb [^]


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker